# Generated by Django 4.1.3 on 2023-02-09 10:14

from decimal import Decimal
from django.db import migrations
import djmoney.models.fields
import djmoney.models.validators


class Migration(migrations.Migration):

    dependencies = [
        ('payment_app', '0019_alter_order_checkout_session_id_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='chargedata',
            name='amount_captured_currency',
            field=djmoney.models.fields.CurrencyField(choices=[('USD', 'USD')], default='USD', editable=False, max_length=3),
        ),
        migrations.AddField(
            model_name='refund',
            name='amount_refunded_currency',
            field=djmoney.models.fields.CurrencyField(choices=[('USD', 'USD')], default='USD', editable=False, max_length=3),
        ),
        migrations.AlterField(
            model_name='chargedata',
            name='amount_captured',
            field=djmoney.models.fields.MoneyField(currency_choices=[('USD', 'USD')], decimal_places=2, default=Decimal('0'), default_currency='USD', max_digits=14, validators=[djmoney.models.validators.MinMoneyValidator(0)], verbose_name='Deposit'),
        ),
        migrations.AlterField(
            model_name='refund',
            name='amount_refunded',
            field=djmoney.models.fields.MoneyField(currency_choices=[('USD', 'USD')], decimal_places=2, default=Decimal('0'), default_currency='USD', max_digits=14, validators=[djmoney.models.validators.MinMoneyValidator(0)], verbose_name='Deposit'),
        ),
    ]
